## prometheus 2.53.1+ds

=== debian/changelog ===
prometheus (2.53.1+ds-3) unstable; urgency=medium

  * d/rules: remove obsolete includes
  * Replace patches to skip tests with proper fixes
  * Remove obsolete 0007-Fix-hanging-test.patch
  * Merge patches for resources-related test failures

 -- Martina Ferrari <tina@debian.org>  Fri, 14 Feb 2025 04:23:39 +0000

prometheus (2.53.1+ds-2) unstable; urgency=medium

  * Add patches to fix/skip test failures on 32-bit

 -- Martina Ferrari <tina@debian.org>  Mon, 10 Feb 2025 18:59:15 +0000

prometheus (2.53.1+ds-1) unstable; urgency=medium

  * gbp.conf: Add defaults to automatically find upstream git tags when
    importing a new upstream release with `gbp import-orig`
  * Vendor new dependency too small to package
  * Add dependencies and vendored code for k8s SD
  * Disable Azure SD until SDK package is updated
  * Disable OTLP Ingestion endpoint. This can be re-enabled once golang-
    opentelemetry-collector is in Debian (#1080354)
  * Add patch to fix a test error for OVH
  * Add lintian overrides for long Built-Using field
  * Reenable Kubernetes service discovery

 -- Martina Ferrari <tina@debian.org>  Mon, 10 Feb 2025 05:11:10 +0000

=== debian/control ===
Source: prometheus
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               gogoprotobuf,
               golang-github-alecthomas-units-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-bboreham-go-loser-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-dennwc-varint-dev,
               golang-github-digitalocean-godo-dev,
               golang-github-docker-docker-dev (>= 25.0),
               golang-github-edsrzf-mmap-go-dev,
               golang-github-facette-natsort-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-go-kit-log-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-zookeeper-zk-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-golang-snappy-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-pprof-dev,
               golang-github-google-uuid-dev,
               golang-github-gophercloud-gophercloud-dev (>= 0.19.0),
               golang-github-grafana-regexp-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev,
               golang-github-hetznercloud-hcloud-go-dev (>= 2.0.0),
               golang-github-ionos-cloud-sdk-go-dev,
               golang-github-json-iterator-go-dev,
               golang-github-kimmachinegun-automemlimit-dev,
               golang-github-klauspost-compress-dev,
               golang-github-kolo-xmlrpc-dev,
               golang-github-linode-linodego-dev,
               golang-github-miekg-dns-dev,
               golang-github-munnerz-goautoneg-dev,
               golang-github-mwitkow-go-conntrack-dev,
               golang-github-oklog-run-dev,
               golang-github-oklog-ulid-dev,
               golang-github-opentracing-contrib-go-stdlib-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-ovh-go-ovh-dev,
               golang-github-prometheus-alertmanager-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.47.0),
               golang-github-prometheus-exporter-toolkit-dev,
               golang-github-scaleway-scaleway-sdk-go-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vultr-govultr-dev,
               golang-go,
               golang-go.uber-atomic-dev,
               golang-go.uber-multierr-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-gopkg-yaml.v3-dev,
               golang-grpc-gateway,
               golang-opentelemetry-contrib-dev (>= 0.56),
               golang-opentelemetry-otel-dev (>= 1.31),
               golang-k8s-api-dev,
               golang-k8s-apimachinery-dev,
               golang-k8s-client-go-dev,
               golang-uber-automaxprocs-dev,
               golang-uber-goleak-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/prometheus

Package: prometheus
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-eonasdan-bootstrap-datetimepicker,
         libjs-jquery (>= 3.5.1~),
         libjs-jquery-hotkeys,
         libjs-moment,
         libjs-moment-timezone,
         libjs-mustache (>= 2.3.0-1~),
         libjs-popper.js,
         libjs-rickshaw,
         promtool,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Recommends: prometheus-node-exporter,
Description: monitoring system and time series database
 Prometheus is a systems and services monitoring system. It collects metrics
 from configured targets at given intervals, evaluates rule expressions,
 displays the results, and can trigger alerts if some condition is observed to
 be true.
 .
 Prometheus' main distinguishing features as compared to other monitoring
 systems are:
 .
  * A multi-dimensional data model (timeseries defined by metric name and set
    of key/value dimensions).
  * A flexible query language to leverage this dimensionality.
  * No dependency on distributed storage; single server nodes are autonomous.
  * Timeseries collection happens via a pull model over HTTP.
  * Pushing timeseries is supported via an intermediary gateway.
  * Targets are discovered via service discovery or static configuration.
  * Multiple modes of graphing and dashboarding support.
  * Federation support coming soon.

Package: promtool
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Enhances: prometheus,
Breaks: prometheus (<< 2.45.6+ds-9)
Replaces: prometheus (<< 2.45.6+ds-9)
Description: tooling for the Prometheus monitoring system
 promtool is a command-line utility for managing and interacting with a
 Prometheus monitoring system and its configuration / rules.

Package: golang-github-prometheus-prometheus-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-alecthomas-units-dev,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-bboreham-go-loser-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-dennwc-varint-dev,
         golang-github-digitalocean-godo-dev,
         golang-github-docker-docker-dev (>= 25.0),
         golang-github-edsrzf-mmap-go-dev,
         golang-github-facette-natsort-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-go-kit-log-dev,
         golang-github-go-openapi-strfmt-dev,
         golang-github-go-zookeeper-zk-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-golang-snappy-dev,
         golang-github-google-go-cmp-dev,
         golang-github-google-pprof-dev,
         golang-github-google-uuid-dev,
         golang-github-gophercloud-gophercloud-dev (>= 0.19.0),
         golang-github-grafana-regexp-dev,
         golang-github-grpc-ecosystem-grpc-gateway-dev,
         golang-github-hetznercloud-hcloud-go-dev (>= 2.0.0),
         golang-github-ionos-cloud-sdk-go-dev,
         golang-github-json-iterator-go-dev,
         golang-github-kimmachinegun-automemlimit-dev,
         golang-github-klauspost-compress-dev,
         golang-github-kolo-xmlrpc-dev,
         golang-github-linode-linodego-dev,
         golang-github-miekg-dns-dev,
         golang-github-munnerz-goautoneg-dev,
         golang-github-mwitkow-go-conntrack-dev,
         golang-github-oklog-run-dev,
         golang-github-oklog-ulid-dev,
         golang-github-opentracing-contrib-go-stdlib-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-ovh-go-ovh-dev,
         golang-github-prometheus-alertmanager-dev,
         golang-github-prometheus-client-golang-dev (>= 1.19.0),
         golang-github-prometheus-client-model-dev,
         golang-github-prometheus-common-dev (>= 0.47.0),
         golang-github-prometheus-exporter-toolkit-dev,
         golang-github-scaleway-scaleway-sdk-go-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vultr-govultr-dev,
         golang-go.uber-atomic-dev,
         golang-go.uber-multierr-dev,
         golang-golang-x-exp-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-time-dev,
         golang-google-api-dev,
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         golang-gopkg-yaml.v2-dev,
         golang-gopkg-yaml.v3-dev,
         golang-grpc-gateway,
         golang-opentelemetry-contrib-dev (>= 0.56),
         golang-opentelemetry-otel-dev (>= 1.31),
         golang-uber-automaxprocs-dev,
         golang-uber-goleak-dev,
         ${misc:Depends},
Description: Prometheus monitoring system and time series database (library)
 This package contains the source code of the Prometheus monitoring system and
 time series database, for applications which make use of its exported
 functions such as the promql parser.

## prometheus 2.53.3%2Bds1

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := \
    cmd/prometheus/testdata \
    cmd/promtool/testdata \
    config/testdata \
    discovery/file/fixtures \
    discovery/http/fixtures \
    discovery/moby/testdata \
    discovery/puppetdb/fixtures \
    documentation/examples/prometheus-agent.yml \
    documentation/examples/prometheus.yml \
    model/rulefmt/testdata \
    promql/fuzz-data \
    rules/fixtures \
    scrape/testdata \
    tsdb/testdata \
    # EOL

# Do not build examples
export DH_GOLANG_EXCLUDES := documentation storage/remote/azuread
# Disable OTLP Ingestion
export DH_GOLANG_EXCLUDES += storage/remote/otlptranslator

BUILDDIR   := $(CURDIR)/.build
PKG        := github.com/prometheus/prometheus
METAPKG    := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

ifeq ($(DEB_HOST_ARCH_CPU),arm)
  # Tests in armel take way too long, and run out of memory in armhf.
  TESTFLAGS := -timeout 60m -short
else ifeq ($(DEB_HOST_ARCH_CPU),mips64el)
  # mips64el is also super slow
  TESTFLAGS := -timeout 60m -short
else ifeq ($(DEB_HOST_ARCH_CPU),riscv64)
  # Override gcflags to workaround https://github.com/golang/go/issues/63167
  TESTFLAGS := -timeout 60m -short -gcflags=all=-d=wrapglobalmapctl=1
else
  TESTFLAGS := -timeout 60m
endif

%:
	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)

PROMPB := $(BUILDDIR)/src/$(PKG)/prompb

override_dh_auto_configure:
	dh_auto_configure -- $(BUILDFLAGS)
	protoc --gogofast_out=plugins=grpc:$(PROMPB) \
            -I$(PROMPB) \
            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
            $(PROMPB)/*.proto
	# Restore docker SD test fixture filename for older build-deps
	ln -s json.json \
        $(BUILDDIR)/src/$(PKG)/discovery/moby/testdata/dockerprom/containers/json_limit_0.json
	# Copy vendored packages
	cp -a debian/vendor $(BUILDDIR)/src/$(PKG)/

# Exclude package without non-test files.
override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

MAN_WHATIS := "prometheus \\- The Prometheus monitoring server"
MAN_WHATIS_TOOL := "promtool \\- Tooling for the Prometheus monitoring system"
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	$(BUILDDIR)/bin/prometheus --help-man > $(BUILDDIR)/prometheus.1
	$(BUILDDIR)/bin/promtool --help-man > $(BUILDDIR)/promtool.1
	# Fix title and header footers.
	sed -i '/^.TH .*/c.TH PROMETHEUS "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        $(BUILDDIR)/prometheus.1
	sed -i '/^.TH .*/c.TH PROMTOOL "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        $(BUILDDIR)/promtool.1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' $(BUILDDIR)/*.1
	# Fix whatis entries.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(MAN_WHATIS) $(BUILDDIR)/prometheus.1
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(MAN_WHATIS_TOOL) $(BUILDDIR)/promtool.1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/*.1

override_dh_auto_test:
	dh_auto_test -- $(TESTFLAGS)

## prometheus 2.53.3+ds1

=== documentation/prometheus-mixin/Makefile ===
JSONNET_FMT := jsonnetfmt -n 2 --max-blank-lines 2 --string-style s --comment-style s

all: fmt prometheus_alerts.yaml dashboards_out lint

fmt:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		xargs -n 1 -- $(JSONNET_FMT) -i

prometheus_alerts.yaml: mixin.libsonnet config.libsonnet alerts.libsonnet
	jsonnet -S alerts.jsonnet > $@

dashboards_out: mixin.libsonnet config.libsonnet dashboards.libsonnet
	@mkdir -p dashboards_out
	jsonnet -J vendor -m dashboards_out dashboards.jsonnet

lint: prometheus_alerts.yaml
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		while read f; do \
			$(JSONNET_FMT) "$$f" | diff -u "$$f" -; \
		done

	promtool check rules prometheus_alerts.yaml

.PHONY: jb_install
jb_install:
	jb install

clean:
	rm -rf dashboards_out prometheus_alerts.yaml

=== debian/changelog ===
prometheus (2.53.3+ds1-1) unstable; urgency=medium

  * New upstream release 2.53.3: the last LTS (Long-Term Support) release of
    the 2.x series.
    10 years since the first commit in the Debian packaging repo!
  * Add missing documentation and examples
  * d/control: Migrate to Static-Built-Using

 -- Martina Ferrari <tina@debian.org>  Sun, 16 Feb 2025 17:31:36 +0000

=== debian/control ===
--- 
+++ 
@@ -102,7 +102,7 @@
          promtool,
          ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using},
 Recommends: prometheus-node-exporter,
 Description: monitoring system and time series database
  Prometheus is a systems and services monitoring system. It collects metrics
@@ -128,7 +128,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using},
 Enhances: prometheus,
 Breaks: prometheus (<< 2.45.6+ds-9)
 Replaces: prometheus (<< 2.45.6+ds-9)

## prometheus 2.53.4+ds1

=== debian/changelog ===
prometheus (2.53.4+ds1-1) unstable; urgency=medium

  * Really final release of 2.53.x LTS series

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 19 Aug 2025 14:07:21 +0000

prometheus (2.53.3+ds1-2) unstable; urgency=medium

  * Simplify Debian test helper functions
  * Add new 0023-Use-legacy-label-name-validation.patch
  * Include labels builder in classic UI template contexts (Closes: #1108095)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Jun 2025 18:11:33 +0000

## prometheus 2.53.5+ds1

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x

UI_PATH = web/ui
UI_NODE_MODULES_PATH = $(UI_PATH)/node_modules
REACT_APP_NPM_LICENSES_TARBALL = "npm_licenses.tar.bz2"

PROMTOOL = ./promtool
TSDB_BENCHMARK_NUM_METRICS ?= 1000
TSDB_BENCHMARK_DATASET ?= ./tsdb/testdata/20kseries.json
TSDB_BENCHMARK_OUTPUT_DIR ?= ./benchout

GOLANGCI_LINT_OPTS ?= --timeout 4m
GOYACC_VERSION ?= v0.6.0

include Makefile.common

DOCKER_IMAGE_NAME       ?= prometheus

.PHONY: update-npm-deps
update-npm-deps:
	@echo ">> updating npm dependencies"
	./scripts/npm-deps.sh "minor"

.PHONY: upgrade-npm-deps
upgrade-npm-deps:
	@echo ">> upgrading npm dependencies"
	./scripts/npm-deps.sh "latest"

.PHONY: ui-bump-version
ui-bump-version:
	version=$$(sed s/2/0/ < VERSION) && ./scripts/ui_release.sh --bump-version "$${version}"
	cd web/ui && npm install
	git add "./web/ui/package-lock.json" "./**/package.json"

.PHONY: ui-install
ui-install:
	cd $(UI_PATH) && npm install

.PHONY: ui-build
ui-build:
	cd $(UI_PATH) && CI="" npm run build

.PHONY: ui-build-module
ui-build-module:
	cd $(UI_PATH) && npm run build:module

.PHONY: ui-test
ui-test:
	cd $(UI_PATH) && CI=true npm run test

.PHONY: ui-lint
ui-lint:
	cd $(UI_PATH) && npm run lint

.PHONY: assets
assets: ui-install ui-build

.PHONY: assets-compress
assets-compress: assets
	@echo '>> compressing assets'
	scripts/compress_assets.sh

.PHONY: assets-tarball
assets-tarball: assets
	@echo '>> packaging assets'
	scripts/package_assets.sh

.PHONY: parser
parser:
	@echo ">> running goyacc to generate the .go file."
ifeq (, $(shell command -v goyacc 2> /dev/null))
	@echo "goyacc not installed so skipping"
	@echo "To install: \"go install golang.org/x/tools/cmd/goyacc@$(GOYACC_VERSION)\" or run \"make install-goyacc\""
else
	$(MAKE) promql/parser/generated_parser.y.go
endif

promql/parser/generated_parser.y.go: promql/parser/generated_parser.y
	@echo ">> running goyacc to generate the .go file."
	@goyacc -l -o promql/parser/generated_parser.y.go promql/parser/generated_parser.y

.PHONY: clean-parser
clean-parser:
	@echo ">> cleaning generated parser"
	@rm -f promql/parser/generated_parser.y.go

.PHONY: check-generated-parser
check-generated-parser: clean-parser promql/parser/generated_parser.y.go
	@echo ">> checking generated parser"
	@git diff --exit-code -- promql/parser/generated_parser.y.go || (echo "Generated parser is out of date. Please run 'make parser' and commit the changes." && false)

.PHONY: install-goyacc
install-goyacc:
	@echo ">> installing goyacc $(GOYACC_VERSION)"
	@go install golang.org/x/tools/cmd/goyacc@$(GOYACC_VERSION)

.PHONY: test
# If we only want to only test go code we have to change the test target
# which is called by all.
ifeq ($(GO_ONLY),1)
test: common-test check-go-mod-version
else
test: check-generated-parser common-test ui-build-module ui-test ui-lint check-go-mod-version
endif

.PHONY: npm_licenses
npm_licenses: ui-install
	@echo ">> bundling npm licenses"
	rm -f $(REACT_APP_NPM_LICENSES_TARBALL) npm_licenses
	ln -s . npm_licenses
	find npm_licenses/$(UI_NODE_MODULES_PATH) -iname "license*" | tar cfj $(REACT_APP_NPM_LICENSES_TARBALL) --files-from=-
	rm -f npm_licenses

.PHONY: tarball
tarball: npm_licenses common-tarball

.PHONY: docker
docker: npm_licenses common-docker

plugins/plugins.go: plugins.yml plugins/generate.go
	@echo ">> creating plugins list"
	$(GO) generate -tags plugins ./plugins

.PHONY: plugins
plugins: plugins/plugins.go

.PHONY: build
build: assets npm_licenses assets-compress plugins common-build

.PHONY: bench_tsdb
bench_tsdb: $(PROMU)
	@echo ">> building promtool"
	@GO111MODULE=$(GO111MODULE) $(PROMU) build --prefix $(PREFIX) promtool
	@echo ">> running benchmark, writing result to $(TSDB_BENCHMARK_OUTPUT_DIR)"
	@$(PROMTOOL) tsdb bench write --metrics=$(TSDB_BENCHMARK_NUM_METRICS) --out=$(TSDB_BENCHMARK_OUTPUT_DIR) $(TSDB_BENCHMARK_DATASET)
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/cpu.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/cpuprof.svg
	@$(GO) tool pprof --inuse_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.inuse.svg
	@$(GO) tool pprof --alloc_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg

.PHONY: cli-documentation
cli-documentation:
	$(GO) run ./cmd/prometheus/ --write-documentation > docs/command-line/prometheus.md
	$(GO) run ./cmd/promtool/ write-documentation > docs/command-line/promtool.md

.PHONY: check-go-mod-version
check-go-mod-version:
	@echo ">> checking go.mod version matching"
	@./scripts/check-go-mod-version.sh

.PHONY: update-all-go-deps
update-all-go-deps:
	@$(MAKE) update-go-deps
	@echo ">> updating Go dependencies in ./documentation/examples/remote_storage/"
	@cd ./documentation/examples/remote_storage/ && for m in $$($(GO) list -mod=readonly -m -f '{{ if and (not .Indirect) (not .Main)}}{{.Path}}{{end}}' all); do \
		$(GO) get -d $$m; \
	done
	@cd ./documentation/examples/remote_storage/ && $(GO) mod tidy

=== documentation/examples/Makefile ===
# Copyright 2022 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: all
all: check-examples-syntax

.PHONY: check-examples-syntax
check-examples-syntax: prometheus-*.yml
	@echo ">> check example configurations syntax"
	@set -e; for file in $^; do ../../promtool check config --syntax-only $$file; done

=== documentation/examples/remote_storage/Makefile ===
# Copyright 2022 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


include ../../../Makefile.common

build:
	@echo ">> building example_write_adapter"
	@$(GO) build -o example_write_adapter/example_write_adapter ./example_write_adapter
	@echo ">> building remote_storage_adapter"
	@$(GO) build -o remote_storage_adapter/remote_storage_adapter ./remote_storage_adapter

=== debian/changelog ===
prometheus (2.53.5+ds1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Require B-D golang-k8s-client-go-dev >= 0.33.0
  * d/p/*: Create patch to update informer watch error handler for client-go
    (Closes: #1113806)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 02 Sep 2025 23:03:33 +0100

prometheus (2.53.5+ds1-1) unstable; urgency=medium

  * Final release of 2.53.x LTS series, whose upstream support has now ended
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop obsolete 0016-Use-opentelemetry-1.26.patch (applied upstream)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 20 Aug 2025 14:37:12 +0000

=== debian/control ===
--- 
+++ 
@@ -74,11 +74,11 @@
                golang-opentelemetry-otel-dev (>= 1.31),
                golang-k8s-api-dev,
                golang-k8s-apimachinery-dev,
-               golang-k8s-client-go-dev,
+               golang-k8s-client-go-dev (>= 0.33.0),
                golang-uber-automaxprocs-dev,
                golang-uber-goleak-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/prometheus \
  refs/tags/v?@ANY_VERSION@ debian
